Class to keep track of the position of an Argument.

This class is there to support the srcfile and targetfile elements of <execon> and <transform> - don't know whether there might be additional use cases.

--SB

package | phing.types

### Methods

## __construct()

    __construct(\Comandline $outer, $position)

### Parameters

#### $outer

#### $position

## Return the number of arguments that preceeded this marker.

    getPosition()

The name of the executable - if set - is counted as the very first argument.

### Properties

##

    $outer

##

    $position

##

    $realPos